#!/bin/sh

do_post_install()
{
    if [ ! -d "$MINIM_DATA" ]; then
       rm -rf $MINIM_DATA
       mkdir $MINIM_DATA
    fi
    if [ ! -d "$MINIM_OPT" ]; then
       rm -rf $MINIM_OPT
       mkdir $MINIM_OPT
    fi
    if [ ! -d "$MINIM_OPT/bin" ]; then
       rm -rf $MINIM_OPT/bin
       mkdir $MINIM_OPT/bin
    fi
}

do_post_upgrade()
{
    if [ -d "$MINIM_TEMP_DIR" ]; then
        ls "$MINIM_TEMP_DIR"/libext/* >/dev/null 2>&1
        if [ $? -eq 0 ]; then
            mv "$MINIM_TEMP_DIR"/libext/* "$APKG_PKG_DIR"/libext
        fi
        ls "$MINIM_TEMP_DIR"/libsys/* >/dev/null 2>&1
        if [ $? -eq 0 ]; then
            mv "$MINIM_TEMP_DIR"/libsys/* "$APKG_PKG_DIR"/libsys
        fi
        rm -rf "$MINIM_TEMP_DIR"
    fi
}

MINIM_DATA="/volume1/MinimServer/data"
MINIM_OPT="/volume1/MinimServer/opt"
MINIM_TEMP_DIR="$APKG_TEMP_DIR/../${APKG_PKG_NAME}_temp"

case "$APKG_PKG_STATUS" in
    install)
        do_post_install
        ;;
    upgrade)
        do_post_upgrade
        do_post_install
        ;;
    *)
        ;;
esac

exit 0

