#!/bin/sh

is_running()
{
    pid="$(ps | grep mserver\\.jar | grep -v grep | awk '{print $1}')"
    if [ "$pid" = "" ]; then
        return 1
    else
        return 0
    fi
}

do_start()
{
    if ! is_running; then
        $MINIM_BIN/startd
    fi
}

do_stop()
{
    if is_running; then
        $MINIM_BIN/stopall
    else
        return 0
    fi
}

do_restart()
{
    do_stop || return
    do_start
}

MINIM_BIN=/usr/local/AppCentral/minimserver/bin

case "$1" in
    start)
        do_start
        ;;
    stop)
        do_stop
        ;;
    restart)
        do_restart
        ;;
    *)
        echo "Usage: {start|stop|restart}"
        exit 2
        ;;
esac

exit 0


